GStreamer::Event::NewSegment(3)

NAME
GStreamer::Event::NewSegment

METHODS

  GstEvent = GStreamer::Event::NewSegment->new ($update, $rate, $format, $start_value, $stop_value, $stream_time)

•   $update (boolean)

•   $rate (double)

•   $format (GStreamer::Format)

•   $start_value (64 bit integer)

•   $stop_value (64 bit integer)

•   $stream_time (64 bit integer)

  scalar = $event->format

  scalar = $event->rate

  scalar = $event->start_value

  scalar = $event->stop_value

  scalar = $event->stream_time

  scalar = $event->update

ENUMS AND FLAGS

  enum GStreamer::Format

•   'undefined' / 'GST_FORMAT_UNDEFINED'

•   'default' / 'GST_FORMAT_DEFAULT'

•   'bytes' / 'GST_FORMAT_BYTES'

•   'time' / 'GST_FORMAT_TIME'

•   'buffers' / 'GST_FORMAT_BUFFERS'

•   'percent' / 'GST_FORMAT_PERCENT'

SEE ALSO
GStreamer

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.